# class MessageRelay | A message handler relay. More...
Full name | `TelEngine::MessageRelay`
Definition | `#include <yatengine.h>`
Inherits | TelEngine::MessageHandler [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline MessageRelay (const char* name, MessageReceiver* receiver, int id, int priority = 100, const char* trackName = 0, bool addPriority = true)
- virtual bool received (Message& msg)
- inline int id () const

## Detailed Description

A message handler that allows to relay several messages to a single receiver

inline MessageRelay (const char* name, MessageReceiver* receiver, int id, int priority = 100, const char* trackName = 0, bool addPriority = true) | ### MessageRelay

Creates a new message relay.

Parameters:

name | Name of the handled message - may be NULL
receiver | Receiver of th relayed messages
id | Numeric identifier to pass to receiver
priority | Priority of the handler, 0 = top
trackName | Name to be used in handler tracking
addPriority | True to append :priority to trackName

bool received (Message& msg) | ### received

[virtual]

This method is not called from MessageHandler through polymorphism and should not be used or reimplemented.

Parameters:

msg | The received message

Returns: True if the receiver exists and has handled the message

Reimplemented from MessageHandler.

inline int id () | ### id

[const]

Get the ID of this message relay

Returns: Numeric identifier passed to receiver

Generated by: paulc on bussard on Fri Dec 21 16:28:34 2012, using kdoc 2.0a54.